Author: Nicolas Mora <babelouest@debian.org>
Description: Fix gcc-10 warnings
===================================================================
--- a/oor/cmdline.c
+++ b/oor/cmdline.c
@@ -404,13 +404,11 @@
                const char *long_opt, char short_opt,
                const char *additional_error)
 {
-  char *stop_char = 0;
   const char *val = value;
   int found;
   char **string_field;
   FIX_UNUSED (field);
 
-  stop_char = 0;
   found = 0;
 
   if (!multiple_option && prev_given && (*prev_given || (check_ambiguity && *field_given)))
@@ -484,30 +482,6 @@
   return 0; /* OK */
 }
 
-
-static int check_modes(
-  int given1[], const char *options1[],
-                       int given2[], const char *options2[])
-{
-  int i = 0, j = 0, errors = 0;
-  
-  while (given1[i] >= 0) {
-    if (given1[i]) {
-      while (given2[j] >= 0) {
-        if (given2[j]) {
-          ++errors;
-          fprintf(stderr, "%s: option %s conflicts with option %s\n",
-                  package_name, options1[i], options2[j]);
-        }
-        ++j;
-      }
-    }
-    ++i;
-  }
-  
-  return errors;
-}
-
 int
 cmdline_parser_internal (
   int argc, char **argv, struct gengetopt_args_info *args_info,
@@ -520,14 +494,12 @@
   
   int override;
   int initialize;
-  int check_required;
   int check_ambiguity;
   
   package_name = argv[0];
   
   override = params->override;
   initialize = params->initialize;
-  check_required = params->check_required;
   check_ambiguity = params->check_ambiguity;
 
   if (initialize)
--- a/oor/control/lisp_rtr.c
+++ b/oor/control/lisp_rtr.c
@@ -671,7 +671,7 @@
 static int
 rtr_recv_map_notify(lisp_rtr_t *rtr, lbuf_t *buf, void *ecm_hdr, uconn_t *int_uc, uconn_t *ext_uc)
 {
-    void *hdr, *auth_hdr;
+    void *hdr, *auth_hdr = NULL;
     nonces_list_t *nonces_lst;
     oor_timer_t *timer;
     lbuf_t b;
--- a/oor/data-plane/tun/tun.c
+++ b/oor/data-plane/tun/tun.c
@@ -494,7 +494,7 @@
 {
     int old_addr_lafi,old_addr_ip_afi, new_addr_lafi,new_addr_ip_afi, table;
     int sckt;
-    iface_t * def_iface;
+    iface_t * def_iface = NULL;
     tun_dplane_data_t *data;
 
     data = (tun_dplane_data_t *)dplane_tun.datap_data;
--- a/oor/lib/map_cache_rtr_data.c
+++ b/oor/lib/map_cache_rtr_data.c
@@ -140,7 +140,7 @@
         lisp_xtr_id *xtr_id)
 {
     mc_rtr_data_t *rtr_data = mce->dev_specific_data;
-    locator_t *loct;
+    locator_t *loct = NULL;
     locator_t *emr_loct = NULL; // Locator from where we received EMReg
     uint8_t  match;
     glist_t *xtrid_nat_locts, *match_nat_locts; // <rloc_nat_data_t>
